Bug 227492 - [NEW PORT] dns/go-geodns: DNS server with per-client targeted responses
Summary: [NEW PORT] dns/go-geodns: DNS server with per-client targeted responses
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D15056
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-13 11:52 UTC by Vinícius Zavam
Modified: 2018-06-07 14:24 UTC (History)
2 users (show)

See Also:


Attachments
[NEW PORT] dns/go-geodns: DNS server with per-client targeted responses (61.57 KB, patch)
2018-04-13 11:52 UTC, Vinícius Zavam
no flags Details | Diff
[BUILD LOG] dns/go-geodns: DNS server with per-client targeted responses (12.24 KB, text/plain)
2018-04-13 13:33 UTC, Vinícius Zavam
no flags Details
[NEW PORT] dns/go-geodns: DNS server with per-client targeted responses (60.44 KB, patch)
2018-05-23 14:50 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2018-04-13 11:52:39 UTC
Created attachment 192485 [details]
[NEW PORT] dns/go-geodns: DNS server with per-client targeted responses

This is the DNS server powering the NTP Pool system and other similar services.
Was not available via pkg/ports, so I created it.

KR,
Comment 1 Vinícius Zavam freebsd_committer 2018-04-13 13:32:24 UTC
Added phabricator's URL.
Comment 2 Vinícius Zavam freebsd_committer 2018-04-13 13:33:18 UTC
Created attachment 192489 [details]
[BUILD LOG] dns/go-geodns: DNS server with per-client targeted responses
Comment 3 Vinícius Zavam freebsd_committer 2018-05-23 14:50:11 UTC
Created attachment 193634 [details]
[NEW PORT] dns/go-geodns: DNS server with per-client targeted responses

Updated diff from D15056; missing 'EXAMPLES' was added.
Comment 4 Danilo G. Baio freebsd_committer 2018-06-05 14:59:03 UTC
Hi Wen.
Are you working on this?
Could I help with anything?
Regards.
Comment 5 Wen Heping freebsd_committer 2018-06-06 00:17:32 UTC
(In reply to Danilo G. Baio from comment #4)


Sorry for the delay. I pass the PR to you.
Thanks !

wen
Comment 6 commit-hook freebsd_committer 2018-06-07 14:21:48 UTC
A commit references this bug:

Author: dbaio
Date: Thu Jun  7 14:18:56 UTC 2018
New revision: 471924
URL: https://svnweb.freebsd.org/changeset/ports/471924

Log:
  Add dns/go-geodns: DNS server with per-client targeted responses

  GeoDNS is a DNS server with per-client targeted responses. It powers the NTP
  Pool system and other similar services.

  WWW: https://github.com/abh/geodns

  PR:		227492
  Submitted by:	Vinicius Zavam <egypcio@googlemail.com>
  Differential Revision:	https://reviews.freebsd.org/D15056

Changes:
  head/GIDs
  head/UIDs
  head/dns/Makefile
  head/dns/go-geodns/
  head/dns/go-geodns/Makefile
  head/dns/go-geodns/distinfo
  head/dns/go-geodns/files/
  head/dns/go-geodns/files/geodns.in
  head/dns/go-geodns/files/pkg-message.in
  head/dns/go-geodns/pkg-descr
  head/dns/go-geodns/pkg-plist
Comment 7 Danilo G. Baio freebsd_committer 2018-06-07 14:24:31 UTC
Thanks Wen/Vinícius.
It's committed.